## More Ping Icons
![](https://cdn.discordapp.com/attachments/743886063738683413/900120860717883443/unknown.png)\
(not the full list)

A Unique Ping Icon for;  All Chests, All Shrines, All Drones, All Printers, Scrappers, Cauldrons, Primordial Teleporter, Lunar Seers, Rusty Lockboxes, and generic misc Ping Icons for other interactables such as Fans.

The goal was to have less unnecessary ? symbols and misleading Chest symbols, but it sorta spiraled into having one icon for everything.\
Generally if you see a ? now it will be the stages Newt Altar.


## Buff Icons
This mod adds many purely visual Buffs to help communicate things better.

Things like how long an enemy will stay Frozen for, Hopoo Feather jumps, how long until your Shields regenerate, Headstompers cooldown, Equipment durations and more!\
(please use BetterUI to actually see how long buffs remain)

Also recolors some buff icons because they looked the same as others yet had different effects.\

![](https://cdn.discordapp.com/attachments/743886063738683413/908324697526112288/unknown.png)

## Interactable Improvements
Changes Printers from 4 seconds to 1.85 seconds.\
Changes Scrappers from 4.5 seconds to 1.65 seconds.\
Changes Shrines from 2 seconds to 1 second.\
This should make using them feel snappier without entirely removing the wait and less of a drag especially when you need to use it a lot.

A Cost Hologram for the Cleansing Shrines, Rusty Lockboxes, Lunar Recycler and Broken Rex as they Lacked one.\
It'll make Lockboxes a bit easier to find and remind you how many Lunar Coins you're spending once you stop rerolling.

Since there is no difference between White and Green Printer this mod reverts the Model change for Large and Mili Tech Printers so they're back to their old bulkier model again.

When you open a Rusty Lockbox you will gain a Consumed Rusted Key similar to Used Dio/upcoming Elixir

A Charge/Position Indicator for Void Field Cell events so you can see the charge percentage when active.

![](https://cdn.discordapp.com/attachments/743886063738683413/908322586251907102/unknown.png)



## Color Changer
Lunar Equipment, Boss/Elite Equipment, Boss+Lunar Equipment and Lunar Coins gain a unique color.

Lunar Equipment will be a lighter slightly purple blue\
Boss/Elite Equipment will have a marigold colored outline\
Lunar+Elite Equipment will have a slightly off white outline\
Lunar Coin will have the light purple color used by the Hud for your Coins

All colors are fully customizable

![](https://cdn.discordapp.com/attachments/743886063738683413/908327801688584192/unknown.png)

## Miscellaneous Features:
#### Logbook updates
* Elite Aspects, Volatile Battery, Twisted Scav, Newt and Malachite Urchin show up in the Logbook.
* Changes the name of Lunar Chimera to include their type and change name of Artifact of Soul Lesser Wisp to Soul Wisp
* Adds a description for Aspects, Fuel Array, Tonic Afflictions so it doesn't show a blank one with UI mods.
* Winning in a Moment Whole will show a white icon and say At Peace... instead of a blue/purple icon and Fate Unknown...

#### Other

* A unique icon for Engineer's Walker Turrets, the Probes from Empathy Cores and Soul Wisps.
* Updated icons for Beetle Guard Allies, Missile Drone, Squid Polyp
* Acrid will be invulnerable and mobs won't detect him while sleeping
* Twisted Scavengers now hold Beads of Fealty.
* One Lunar Seer will always go to Commencement after Skymeadow/last stage of loop.
* Distant Roost can no longer spawn without a Newt Altar.
* Possibility to reduce prices of certain overpriced things, or stuff like RedToWhite Cauldron Payout amount.

##

Report bugs, config suggestions or texture improvement suggestions to @Wolfo#6210 in the Risk of Rain 2 Modding discord.\
If you're reporting a bug please include the log file, I can't really do anything without it.

A lot of things are configurable. If you feel something should be configurable yet it isn't you can suggest it to me.

-Will there be mod support?\
Support for other mods is not planned at the moment.

-Why is the icon so messy?\
I don't know how to convey Quality of Life in visuals. 

I hope one day this mod will be made partially obsolete as this mod is just most of the suggestions I'd like to see ingame.


## Changelog:
v1.5.1
* Ability to increase amount of White items from RedToWhite Cauldron (under price changer)
* All drone prices can now be changed.

v1.5.0
* Renamed Mod to more accurately reflect what it is. (and to hopefully get more traffic and feedback)
* Organized Config

v1.4.1
* More buff icons
* Hopefully fixed networking

v1.4.0
* Distant Roost now can't spawn without a Newt Altar.
* One Lunar Seer after Skymeadow will show Commencement.
* Ability to change Cost of TC Drone, Healing Shrine, Gold Shrine.
* Primordial Teleporter unique icon
* Equipment Drones use equipment more often

v1.3.9 - Bug fixes
* Description for Aspects, Fuel Array, Tonic Afflictions.

v1.3.8 
* Headstomper Buff Icons like Elemental Rings
* Feather Buff Icon for extra jumps
* Shield Regen Delay icon (Medkit icon)
* Config to change names of Lunar Chimera
* Added Consumed Rusted Key

v1.3.7 - Quick missed fix\
v1.3.6
* Acrid is intangible while sleeping.
* Fix LunarExploder not using subtitle, Pot/FusionCell using ? instead of PlanetDeathIcon. Unique Icon for Soul Wisps.
* Swamp Altar Skeleton will always be there and option to do the same for Locked Artificer

v1.3.5 - Minor Tweaks
* More buff visual config

v1.3.4 - Fixes
* Changed color of buffs that use same icon/color as other buffs. (ie Cloak Speed, Whip Speed)

v1.3.3 
* Tweaks to Limbo Ending
* Config to make Lunar/Boss equips use Lunar/Boss droplets instead of Orange droplets.
* Unique Icons for Empathy Core Probes, Updated Beetle Guard Ally and Missile Drone Icon

v1.3.2 - Hopefully more optimization\
v1.3.1 - "Quick" Lid position fix\
v1.3.0
* Debuff Icon added for Hellfire tincture. 
* Config to invidually change the Printer model to the old ones.

v1.2.8
* Unique Icon for Engineer Walker Turrets

v1.2.7
* Option for more Logbook entries
* Added more Ping Icons.

v1.2.6 - (actiually disabled by default)\
v1.2.5
* Module to change color of Lunar/Elite equipment if you want Yellow Elite Equipment or any unique color for either. (Disabled by default)
* Added more Ping Icons.

v1.2.4 
* More Icons & Config
* Twisted Scavengers now hold Beads of Fealty

v1.2.1 - 1.2.3 - Minor Fixes\
v1.2.0
* Added more Ping Icons

v1.1.2 - Minor Fixes?\
v1.1.1 - Made mod slightly faster

v1.1.0
* Added or Updated Ping Icons for many interactables
* Added Cost Hologram for Lockbox, Cleansing Pool, Broken Rex
* Added Position Indicator to Void Field Cells

v1.0.0 - Release.